SVC_FIND_XPRT(9)

NAME
svc_find_xprt - find an RPC transport instance

SYNOPSIS

struct svc_xprt * svc_find_xprt(struct svc_serv * serv, const char * xcl_name, struct net * net, const sa_family_t af, const unsigned short port);

ARGUMENTS

serv
    pointer to svc_serv to search

xcl_name
    C string containing transport's class name

net
    owner net pointer

af
    Address family of transport's local address

port
    transport's IP port number

DESCRIPTION

Return the transport instance pointer for the endpoint accepting connections/peer traffic from the specified transport class, address family and port.

Specifying 0 for the address family or port is effectively a wild-card, and will result in matching the first transport in the service's list that has a matching class name.

COPYRIGHT